Subject: OFF: "chock"

From: John Cowan <[email-masked]>
Date: Tue, 18 Jul 2000 09:09:15 -0400 (EDT)

On Tue, 18 Jul 2000, Robin wrote:

> Hmm, didn't know that. Turkish has given the world very few loan words,
> except for those which were already loanwords from arabic or Persian. 
> One nice one is the english "chockablock", from Turkish "c~ok kalabalIk"
> - "very crowded".

This sounds very unlikely to me, about like the "copacetic" < Heb. "kol v'sedek"
theory. "Chock" is a noun meaning "an object used to fill an unwanted
space", and "chock-full" and "chockablock" are surely connected with it,
probably with imitative harmony in the latter case (like "helter-skelter",
"willy-nilly", and "shilly-shally").

-- 
John Cowan [email-masked]
C'est la` pourtant que se livre le sens du dire, de ce que, s'y conjuguant
le nyania qui bruit des sexes en compagnie, il supplee a ce qu'entre eux,
de rapport nyait pas. -- Jacques Lacan, "L'Etourdit"